<ion-modal-view>
  <ion-header-bar>
    <p class="title">Login or Register</p>
    <div class="buttons">
      <i class="mdi mdi-close-circle-outline input-labe" style="font-size: 30px; color: #CC3737;" ng-click="closeLogin()"></i>
    </div>
  </ion-header-bar>
  <ion-content>
    <textarea type="text" ng-model="device_token"></textarea>
    <textarea type="text" ng-model="user_id"></textarea>
    <form ng-submit="doLogin()" class="login-form">
      <div class="list">
        <label class="item item-input">
          <span class="input-label">Email</span>
          <input type="text" ng-model="loginData.email">
        </label>
        <label class="item item-input">
          <span class="input-label">Password</span>
          <input type="password" ng-model="loginData.password">
        </label>
        <label class="item">
          <button class="button button-block button-cyan" type="submit">Log In</button>
        </label>
        <center><a href="#" ng-click="toggleForm('login-form', 'register-form')" style="text-decoration: none; font-size:15px;">New user? Register.</a></center>
      </div>
    </form>
    <form ng-submit="doSignup()" class="register-form" style="display:none;">
      <div class="list">
        <label class="item item-input">
          <span class="input-label">First Name</span>
          <input type="text" ng-model="signUpData.firstname">
        </label>
        <label class="item item-input">
          <span class="input-label">Last Name</span>
          <input type="text" ng-model="signUpData.lastname">
        </label>
        <label class="item item-input">
          <span class="input-label">Email</span>
          <input type="text" ng-model="signUpData.email">
        </label>
        <label class="item item-input">
          <span class="input-label">Street Address</span>
          <textarea type="text" ng-model="signUpData.street_address" rows="5"></textarea>
        </label>
        <label class="item item-input">
          <span class="input-label">City</span>
          <input type="text" ng-model="signUpData.city">
        </label>
        <label class="item item-input">
          <span class="input-label">Zip/Post Code</span>
          <input type="text" ng-model="signUpData.postcode">
        </label>
        <label class="item item-input">
          <span class="input-label">Telephone</span>
          <input type="text" ng-model="signUpData.telephone">
        </label>
        <label class="item item-input">
          <span class="input-label">Password</span>
          <input type="password" ng-model="signUpData.password">
        </label>
        <label class="item">
          <button class="button button-block button-cyan" type="submit">Register</button>
        </label>
        <center><a href="#" ng-click="toggleForm('register-form', 'login-form')" style="text-decoration: none; font-size:15px;">Already registered? Log In.</a></center><br>
      </div>
    </form><br>
    <center><div class="message error"></div></center>
  </ion-content>
</ion-modal-view>